Returns the hexidecimal representation of this ObjectIdInterface

- « MongoDB\BSON\ObjectIdInterface::getTimestamp

- MongoDB\BSON\RegexInterface »

- PHP Manual
- MongoDB\BSON\ObjectIdInterface
- Returns the hexidecimal representation of this ObjectIdInterface

# MongoDB\BSON\ObjectIdInterface::__toString

(mongodb >=1.3.0)

MongoDB\BSON\ObjectIdInterface::__toString — Returns the hexidecimal representation of this ObjectIdInterface

### Description

abstract public MongoDB\BSON\ObjectIdInterface::__toString(): string

### Parameters

This function has no parameters.

### Return Values

Returns the hexidecimal representation of this ObjectIdInterface.

### See Also

- MongoDB\BSON\ObjectId::__toString() - Returns the hexidecimal representation of this ObjectId